%define module POE-API-Peek
%define m_distro POE-API-Peek
%define m_name POE::API::Peek
%define m_author_id unknown
%define _enable_test 1

Name: perl-POE-API-Peek
Version: 1.32
Release: alt1.1

Summary: %m_name - peek into the internals of a running POE environment

License: BSD
Group: Development/Perl
Url: http://search.cpan.org/dist/POE-API-Peek/

Packager: Michael Bochkaryov <misha@altlinux.ru>

BuildArch: noarch
Source: http://search.cpan.org/CPAN/authors/id/S/SU/SUNGO/%m_distro-%version.tar.gz

# Automatically added by buildreq on Tue Jul 29 2008 (-bi)
BuildRequires: perl-Devel-Size perl-File-Find-Rule perl-Module-Install perl-POE perl-Test-Distribution perl-Test-Pod-Coverage

%description
POE::API::Peek extends the POE::Kernel interface to provide clean access to
Kernel internals in a cross-version compatible manner. Other calculated data is
also available.

My intention is to provide massive amounts of internal data for use in POE debugging.

%prep
%setup -q -n %m_distro-%version
%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/*
%exclude %perl_vendor_man3dir/*
%doc LICENSE README
%exclude %perl_vendor_archlib

%changelog
* Mon Oct 06 2008 Igor Vlasenko <viy@altlinux.ru> 1.32-alt1.1
- NMU for unknown reason:
  the person above was too neglectant to add --changelog "- NMU: <reason>" option.

* Tue Jul 29 2008 Michael Bochkaryov <misha@altlinux.ru> 1.32-alt1
- first build for ALT Linux Sisyphus

